// Includes
#include <PA9.h>       // Include for PA_Lib
#include <fat.h>
#include "dsp1emul.h"
#include "menu_sel.h"
#include "rom.h"

// Function: main()
int main(int argc, char ** argv)
{
	PA_Init();    // Initializes PA_Lib
	PA_InitVBL(); // Initializes a standard VBL
	fatInitDefault(); //Inicializador del FAT
	load_rom(menu_selector("/ROMS/"));
	// Infinite loop to keep the program running
	while (1)
	{
		PA_WaitForVBL();
		load_rom(menu_selector("/ROMS/"));
	}
	
	return 0;
} // End of main()
